# Interface methods for submodule: SparseImage
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageProxy as _ImageProxy


# Interface methods for class: SparseImage
class SparseImageProxy(_ImageProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetNeighborhoodAccessor(self):
		""""""
		...

	def AddNode(self, index: Sequence[int]):
		""""""
		...

	def GetNodeList(self):
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

